The ZMQPoll class

- « ZMQSocket::unbind

- ZMQPoll::add »

- PHP Manual
- 0MQ messaging
- The ZMQPoll class

# The ZMQPoll class

(PECL zmq >= 0.5.0)

## Introduction

## Class synopsis

class ZMQPoll {
/* Methods */
public add(mixed `$entry`, int `$type`): string
public clear(): ZMQPoll
public count(): int
public getLastErrors(): array
public poll(array `&$readable`, array `&$writable`, int `$timeout` = -1): int
public remove(mixed `$item`): bool
}

## Table of Contents

- ZMQPoll::add — Add item to the poll set
- ZMQPoll::clear — Clear the poll set
- ZMQPoll::count — Count items in the poll set
- ZMQPoll::getLastErrors — Get poll errors
- ZMQPoll::poll — Poll the items
- ZMQPoll::remove — Remove item from poll set